Debian Bug report logs - #653036
gpm: kernel version detection in debconf script fails for kernel >= 3

version graph

Package: gpm; Maintainer for gpm is Peter Samuelson <peter@p12n.org>; Source for gpm is src:gpm.

Reported by: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>

Date: Fri, 23 Dec 2011 00:21:05 UTC

Severity: important

Tags: patch

Found in version gpm/1.20.4-4

Fixed in version gpm/1.20.4-5

Done: Peter Samuelson <peter@p12n.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#653036; Package gpm. (Fri, 23 Dec 2011 00:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
New Bug report received and forwarded. Copy sent to Peter Samuelson <peter@p12n.org>. (Fri, 23 Dec 2011 00:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: submit@bugs.debian.org
Subject: gpm: please default to /dev/input/mice instead of legacy /dev/psaux
Date: Fri, 23 Dec 2011 01:20:15 +0100
Package: gpm
Version: 1.20.4-4
Severity: wishlist

Hi

The Linux kernel considers /dev/psaux to be a legacy device[1] and 
recommends using /dev/input/mice instead, therefore it would be nice
to switch the default gpm setup to use it or at least to fall back
gracefully in the absence of the /dev/psaux device node 
(/dev/input/mice or mouse0, etc. is at least available since squeeze, 
most likely a lot longer).

config INPUT_MOUSEDEV_PSAUX
	bool "Provide legacy /dev/psaux device"
	default y
	depends on INPUT_MOUSEDEV
	help
	  Say Y here if you want your mouse also be accessible as char device
	  10:1 - /dev/psaux. The data available through /dev/psaux is exactly
	  the same as the data from /dev/input/mice.

	  If unsure, say Y.

While setting "device=/dev/input/mice" in gpm.conf (or using 
dpkg-reconfigure to create it) is working, it would be nice if the 
debconf preconfig could default to using it or if the initscripts could
fall back to it in case of
	[ "${device}" = "/dev/psaux" ] && \
	[ ! -c /dev/psaux ] && \
	[ -c /dev/input/mice ]

INPUT_MOUSEDEV_PSAUX is still enabled in Debian's kernel, therefore 
this only shows with differently configured custom kernels at the 
moment.

Regards
	Stefan Lippers-Hollmann

[1]	http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=blob;f=drivers/input/Kconfig




Information forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#653036; Package gpm. (Fri, 23 Dec 2011 00:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Peter Samuelson <peter@p12n.org>. (Fri, 23 Dec 2011 00:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 653036@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: control@bugs.debian.org
Cc: 653036@bugs.debian.org
Subject: Re: gpm: please default to /dev/input/mice instead of legacy /dev/psaux
Date: Fri, 23 Dec 2011 01:55:02 +0100
[Message part 1 (text/plain, inline)]
retitle 653036 gpm: kernel version detection in debconf script fails for kernel >= 3
severity 653036 important
tags 653036 + patch
thanks

Hi

After checking the debconf script a bit further, I notice that the 
actual error conditions just triggers because this hunk fails to work 
properly on kernel >=3:
  case $KVER in
    Linux-2.6*)
      # Use the input layer by default.
      # The input layer also makes the gpm repeater rather moot.
      db_set gpm/device /dev/input/mice;
      db_set gpm/type exps2;
      db_set gpm/repeat_type none ;;
  esac

The attached patch fixes the version check, although the version part 
of it could be removed just as well, given that kernel <<2.6(.32) isn't
a supported configuration for Debian anymore.

Regards
	Stefan Lippers-Hollmann
[debdiff.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'gpm: kernel version detection in debconf script fails for kernel >= 3' from 'gpm: please default to /dev/input/mice instead of legacy /dev/psaux' Request was from "Stefan Lippers-Hollmann" <s.L-H@gmx.de> to control@bugs.debian.org. (Fri, 23 Dec 2011 00:57:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from "Stefan Lippers-Hollmann" <s.L-H@gmx.de> to control@bugs.debian.org. (Fri, 23 Dec 2011 00:57:09 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from "Stefan Lippers-Hollmann" <s.L-H@gmx.de> to control@bugs.debian.org. (Fri, 23 Dec 2011 00:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#653036; Package gpm. (Sat, 31 Dec 2011 00:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Peter Samuelson <peter@p12n.org>. (Sat, 31 Dec 2011 00:27:04 GMT) Full text and rfc822 format available.

Message #21 received at 653036@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 653036@bugs.debian.org
Subject: Re: gpm: please default to /dev/input/mice instead of legacy /dev/psaux
Date: Sat, 31 Dec 2011 01:22:19 +0100
[Message part 1 (text/plain, inline)]
Hi

Attached is an updated debdiff, which also fixes src/prog/gpm-root.y's 
expectation that uts.release is always made up of 3 components. Linus 
did start out with an empty sublevel definition when bumping the 
version to 3.x - initializing it with zero (3.x.0) is only a temporary 
stopgap to not break existing, but inherently broken, software 
immediately.

This debdiff, which contains the changes made in v1, is loosely based 
upon #632749, #633878, #633880 and several other packages that needed 
fixing.

Regards
	Stefan Lippers-Hollmann
[debdiff.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#653036; Package gpm. (Thu, 10 May 2012 14:57:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Peter Samuelson <peter@p12n.org>. (Thu, 10 May 2012 14:57:31 GMT) Full text and rfc822 format available.

Message #26 received at 653036@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 653036@bugs.debian.org
Subject: Re: gpm: please default to /dev/input/mice instead of legacy /dev/psaux
Date: Thu, 10 May 2012 16:54:50 +0200
[Message part 1 (text/plain, inline)]
Hi

I'd consider it to be a pity if wheezy would release with a gpm version
that creates deprecated config files for pretty much every newly 
installed system because of faulty uname parsing. Therefore I'd like
to ask you to consider uploading the attached NMU diff or something 
equivalent (there are low hanging fruits like the i18n update in 
#658143 or just dropping the versioned component, or inverting it to 
test for known old kernel versions <= 2.4, from the uname parsing, but 
I kept this potential NMU as minimal as possible).

The attached NMU diff is pretty much unchanged from the version I 
submitted in December, but has gained a changelog entry and a 
git-inspired patch header to 
debian/patches/090_correctly_parse_shorter_linux_version_numbers.patch,
which should satisfy dep-3 suggestions. I can confirm that gpm creates
correct config files with this patch applied and continues to compile
using gcc-4.7 on amd64 and i386. I have successfully tested this patch
against a kernel compiled with
	# CONFIG_INPUT_MOUSEDEV_PSAUX is not set
and this kind of versioning:
	VERSION = 3
	PATCHLEVEL = 3
	SUBLEVEL =
	EXTRAVERSION =
	NAME = Saber-toothed Squirrel

While I would strongly prefer a maintainer upload, I may search for a 
sponsor to upload the attached NMU diff after ~2 weeks.

Regards
	Stefan Lippers-Hollmann
[gpm-nmudiff.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#653036; Package gpm. (Thu, 10 May 2012 15:30:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
Extra info received and forwarded to list. (Thu, 10 May 2012 15:30:22 GMT) Full text and rfc822 format available.

Message #31 received at 653036@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: Stefan Lippers-Hollmann <s.L-H@gmx.de>, 653036@bugs.debian.org
Subject: Re: Bug#653036: gpm: please default to /dev/input/mice instead of legacy /dev/psaux
Date: Thu, 10 May 2012 10:29:24 -0500
[Stefan Lippers-Hollmann]
> I'd like to ask you to consider uploading the attached NMU diff or
> something equivalent

Ah yes - sorry about that!  I completely forgot that this hadn't been
done yet.  I will try to find time to do an upload in the next couple
of days.

Thanks for your patch!  It looks good, though of course I'll want to
test it.
Peter




Information forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#653036; Package gpm. (Sat, 02 Jun 2012 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Peter Samuelson <peter@p12n.org>. (Sat, 02 Jun 2012 13:27:04 GMT) Full text and rfc822 format available.

Message #36 received at 653036@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: Peter Samuelson <peter@p12n.org>
Cc: 653036@bugs.debian.org
Subject: Re: Bug#653036: gpm: please default to /dev/input/mice instead of legacy /dev/psaux
Date: Sat, 2 Jun 2012 15:24:04 +0200
[Message part 1 (text/plain, inline)]
Hi

On Thursday 10 May 2012, Peter Samuelson wrote:
> [Stefan Lippers-Hollmann]
> > I'd like to ask you to consider uploading the attached NMU diff or
> > something equivalent
> 
> Ah yes - sorry about that!  I completely forgot that this hadn't been
> done yet.  I will try to find time to do an upload in the next couple
> of days.
> 
> Thanks for your patch!  It looks good, though of course I'll want to
> test it.

Ping, anything I could do to help with that?

Regards
	Stefan Lippers-Hollmann
[signature.asc (application/pgp-signature, inline)]

Reply sent to Peter Samuelson <peter@p12n.org>:
You have taken responsibility. (Fri, 08 Jun 2012 17:06:07 GMT) Full text and rfc822 format available.

Notification sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Bug acknowledged by developer. (Fri, 08 Jun 2012 17:06:07 GMT) Full text and rfc822 format available.

Message #41 received at 653036-close@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: 653036-close@bugs.debian.org
Subject: Bug#653036: fixed in gpm 1.20.4-5
Date: Fri, 08 Jun 2012 17:02:49 +0000
Source: gpm
Source-Version: 1.20.4-5

We believe that the bug you reported is fixed in the latest version of
gpm, which is due to be installed in the Debian FTP archive:

gpm_1.20.4-5.diff.gz
  to main/g/gpm/gpm_1.20.4-5.diff.gz
gpm_1.20.4-5.dsc
  to main/g/gpm/gpm_1.20.4-5.dsc
gpm_1.20.4-5_amd64.deb
  to main/g/gpm/gpm_1.20.4-5_amd64.deb
libgpm-dev_1.20.4-5_amd64.deb
  to main/g/gpm/libgpm-dev_1.20.4-5_amd64.deb
libgpm2_1.20.4-5_amd64.deb
  to main/g/gpm/libgpm2_1.20.4-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653036@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Samuelson <peter@p12n.org> (supplier of updated gpm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 08 Jun 2012 11:20:49 -0500
Source: gpm
Binary: gpm libgpm2 libgpm-dev
Architecture: source amd64
Version: 1.20.4-5
Distribution: unstable
Urgency: medium
Maintainer: Peter Samuelson <peter@p12n.org>
Changed-By: Peter Samuelson <peter@p12n.org>
Description: 
 gpm        - General Purpose Mouse interface
 libgpm-dev - General Purpose Mouse - development files
 libgpm2    - General Purpose Mouse - shared library
Closes: 645278 653036 658143
Changes: 
 gpm (1.20.4-5) unstable; urgency=medium
 .
   [ Peter Samuelson ]
   * Tweak debian/rules to pass the right CC into configure.  Thanks Kyle
     Moffett.  (Closes: #645278)
   * Add Polish debconf translation, thanks Michał Kułach.  (Closes: #658143)
   * Fix watch file.
   * Drop long-obsolete libgpmg1-dev dummy package.
   * A few tweaks to rules and control files.
 .
   [ Stefan Lippers-Hollman ]
   * Fix kernel detection for kernel >=3 (Closes: #653036).
     - patches/090_linux3_versions: New patch: also fix gpm-root.y for
       kernel 3.x version scheme.
Checksums-Sha1: 
 cf06795d525787bccbf600d4c8dffe0948358999 1179 gpm_1.20.4-5.dsc
 0de82bc56a023de3ee751d99b2deeff43894d563 92597 gpm_1.20.4-5.diff.gz
 f3d863e4b3778118b2dda658a740e6d1c8211394 233768 gpm_1.20.4-5_amd64.deb
 5d3d6f7b20ba1b0f67da12dea899fc02448408d2 35858 libgpm2_1.20.4-5_amd64.deb
 31e1c2068fed89d29b6873adab4a75bfea262d80 40014 libgpm-dev_1.20.4-5_amd64.deb
Checksums-Sha256: 
 cd4dd37faddb9facaa8cbb6af453945966c2b5b9cbf1e72b66507d57d670a5c7 1179 gpm_1.20.4-5.dsc
 5185de424123d75ac8b9970830681ec0a024077deaac333b84bbf7302bae11a7 92597 gpm_1.20.4-5.diff.gz
 e8e99d7f861b0042323df4b6775c112980209d532f9f2cd6f4e3f607563b0760 233768 gpm_1.20.4-5_amd64.deb
 d9df450480fdd3239ccbe6f69b64b1c024f216825a30a12e892833836a7ec10a 35858 libgpm2_1.20.4-5_amd64.deb
 37c9f63e95cc600f067e8caf870a8ea569d21427735b36610003fd78a558fbe2 40014 libgpm-dev_1.20.4-5_amd64.deb
Files: 
 2f344d9db343a1f990bdcaae75599d52 1179 misc optional gpm_1.20.4-5.dsc
 627a6e9f2d5b31f7a32f79a1874cc753 92597 misc optional gpm_1.20.4-5.diff.gz
 e56f1e8cc15a936f1a23049e5c7ed372 233768 misc optional gpm_1.20.4-5_amd64.deb
 9b9cb5d6508c3f0ef485e2972cfe32a3 35858 libs standard libgpm2_1.20.4-5_amd64.deb
 6bfc047ef66a43c837874005260a6b04 40014 libdevel optional libgpm-dev_1.20.4-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFP0i1nXk7sIRPQRh0RAsJNAJ96itXgzJdPC08prT68s972vHDYnACfQ/d2
0WdZGxwH2/b5jr3IbuREUlM=
=oEQr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Jul 2012 07:39:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:15:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.